/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { MovingAverageConvergenceDivergenceIndicatorStrategy } from "./MovingAverageConvergenceDivergenceIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 10;
        this.trendLinePeriod = 9;
        this.pb = 1;
    }
    get_p3() {
        return new MovingAverageConvergenceDivergenceIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return MovingAverageConvergenceDivergenceIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get shortPeriod() {
        return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qr));
    }
    set shortPeriod(a) {
        this.h(MovingAverageConvergenceDivergenceIndicator.qr, a);
    }
    qb() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qq));
    }
    set longPeriod(a) {
        this.h(MovingAverageConvergenceDivergenceIndicator.qq, a);
    }
    p8() {
        return this.longPeriod;
    }
    get signalPeriod() {
        return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qs));
    }
    set signalPeriod(a) {
        this.h(MovingAverageConvergenceDivergenceIndicator.qs, a);
    }
    pj() {
        return this.signalPeriod;
    }
}
MovingAverageConvergenceDivergenceIndicator.$t = markType(MovingAverageConvergenceDivergenceIndicator, 'MovingAverageConvergenceDivergenceIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
MovingAverageConvergenceDivergenceIndicator.qr = StrategyBasedIndicator.qn(10, MovingAverageConvergenceDivergenceIndicator.$);
MovingAverageConvergenceDivergenceIndicator.qq = StrategyBasedIndicator.qj(30, MovingAverageConvergenceDivergenceIndicator.$);
MovingAverageConvergenceDivergenceIndicator.qs = StrategyBasedIndicator.qm(9, MovingAverageConvergenceDivergenceIndicator.$, "SignalPeriod");
